org.apache.sysds.runtime.instructions.spark.utils

## Class RDDSortUtils.IndexComparator2

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.utils.RDDSortUtils.IndexComparator2

- All Implemented Interfaces:
    Serializable, Comparator<org.apache.sysds.runtime.instructions.spark.utils.RDDSortUtils.ValuesIndexPair>
  Enclosing class:
    RDDSortUtils

      public static class RDDSortUtils.IndexComparator2
      extends Object
      implements Comparator<org.apache.sysds.runtime.instructions.spark.utils.RDDSortUtils.ValuesIndexPair>, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexComparator2(boolean asc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(org.apache.sysds.runtime.instructions.spark.utils.RDDSortUtils.ValuesIndexPair o1, org.apache.sysds.runtime.instructions.spark.utils.RDDSortUtils.ValuesIndexPair o2)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### IndexComparator2

          public IndexComparator2(boolean asc)

  - ### Method Detail

    - #### compare

          public int compare(org.apache.sysds.runtime.instructions.spark.utils.RDDSortUtils.ValuesIndexPair o1,
                             org.apache.sysds.runtime.instructions.spark.utils.RDDSortUtils.ValuesIndexPair o2)

      Specified by:
        `compare` in interface `Comparator<org.apache.sysds.runtime.instructions.spark.utils.RDDSortUtils.ValuesIndexPair>`

Copyright © 2021 The Apache Software Foundation. All rights reserved.